Name:           gridloc
Version:        0.6
Release:        4%{?dist}
Summary:        A ncurses console application for the calculation of Maidenhead QRA Locators

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/locator.html
Source0:        http://5b4az.chronos.org.uk/pkg/locator/%{name}/%{name}-%{version}.tar.gz
Patch0:         gridloc-0.6-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
#Requires:       

%description
gridloc is a ncurses console application for the calculation of Maidenhead QRA 
Locators for ham radio operators from location co-ordinates, and vice-versa. 
gridloc also calculates distance and direction (long-path or short-path) from a 
"home" location to another (DX) location.

%prep
%setup -qn %{name}
%patch0 -p1
#fix CFLAG silly from upstream
sed -i -e 's/-march=native//g' Makefile

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_docdir}
cp default/.gridlocrc gridlocrc.sample


%clean
rm -rf $RPM_BUILD_ROOT


%files
#doesn't contain a copy of GPLv2 License, queried upstream
%defattr(-,root,root,-)
%doc AUTHORS README doc/%{name}.html gridlocrc.sample
%{_bindir}/%{name}


%changelog
* Wed Jul 16 2008 Lucian Langa <cooly@gnome.eu.org> - 0.6-4
- add sample rc file

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.6-3
- use sed to Fix make per -devel

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.6-2
- Fix make per review

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.6-1
- Initial spec
